Subject: bug#3397: NS: modeline shows inactive frame after make-frame

From: Alan Third <[email-masked]>
Date: Tue, 17 May 2016 18:58:02 +0100

Adrian Robert <[email-masked]> writes:

> The docs for make-frame say:
>
>> This function itself does not make the new frame the selected frame.
>> The previously selected frame remains selected.  However, the
>> window system may select the new frame for its own reasons, for
>> instance if the frame appears under the mouse pointer and your
>> setup is for focus to follow the pointer.
>
> How does this work under X with click-to-focus?  Or W32?
>
> If these just leave the frame unselected, perhaps we should too,
> though it seems disturbing to users.

I just checked a GTK+ build and it selects the frame even when
after-make-frame-functions is set to nil, so I'd guess that the NS build
should probably do so too.

-- 
Alan Third